package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 临修图片
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ErRecordImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 临修记录ID
     */
    @TableField("er_record_id")
    private Long erRecordId;

    /**
     * 图片路径
     */
    @TableField("img_url")
    private String imgUrl;

    /**
     * 排序
     */
    @TableField("sort")
    private Integer sort;

    @TableId("id")
    private Integer id;


}
