package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.mapper.AttendanceMapper;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateHistoryMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 打卡签到记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-12
 */
@Service("attendanceService")
public class AttendanceService extends ServiceImpl<AttendanceMapper,Attendance>{

    @Autowired
    private AttendanceMapper attendanceMapper;

    public IPage<AttendanceResponse> selectByCondition(AttendanceRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<AttendanceResponse> page = new Page<>(pageNum, pageSize);
        return attendanceMapper.selectByCondition(page, request);
    }

}