package cn.com.ty.lift.business.maintenance.dao.entity;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;

/**
 * 实体类 - 表：maintenance_record
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
@Data
public class MaintenanceRecord {
	private Long id;

	private Long mtPlanId;

	private Long liftId;

	private Long projectId;

	private Long mtCompanyId;

	private Long workerId;

	private String code;

	private Byte liftType;

	private Byte type;

	private Date planDate;

	private Date workDate;

	private Date stopDate;

	private Date recoveryDate;

	private String maintenanceAdvice;

	private String maintenanceOption;

	private String position;

	private Byte status;

	private Byte isRegular;

	private Long creatorId;

	private Date createDate;

	private Long workerId1;

	private Byte isRepair;

	private String repairReason;

	private String signatureImg1;

	private String signatureImg2;

	private String sparepart;

	private BigDecimal partsCost;

	private BigDecimal manCost;

	private String safetyConfirm;
}